[2/2] package/glmark2: needs gbm from mesa3d
diff mbox series

Message ID 20200104193919.91589-2-bernd.kuhls@t-online.de
State New
Headers show
Series
  • [1/2] package/glmark2: drm-glesv2 needs libdrm
Related show

Commit Message

Bernd Kuhls Jan. 4, 2020, 7:39 p.m. UTC
Building glmark2 with BR2_PACKAGE_PROVIDES_LIBEGL="sunxi-mali-mainline"
does not provide libgbm so lets depend on EGL support from mesa3d.

Fixes:
http://autobuild.buildroot.net/results/5d8/5d89dde9a290c16453535d7aeafcb1e3e8cb5ad1/

Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de>
---
 package/glmark2/Config.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch
diff mbox series

diff --git a/package/glmark2/Config.in b/package/glmark2/Config.in
index 09cd51f2cf..c4fe3bf9c2 100644
--- a/package/glmark2/Config.in
+++ b/package/glmark2/Config.in
@@ -4,7 +4,7 @@  config BR2_PACKAGE_GLMARK2_FLAVOR_ANY
 config BR2_PACKAGE_GLMARK2_FLAVOR_DRM_GLESV2
 	bool
 	default y
-	depends on BR2_PACKAGE_HAS_LIBEGL
+	depends on BR2_PACKAGE_MESA3D_OPENGL_EGL
 	depends on BR2_PACKAGE_HAS_LIBGLES
 	depends on BR2_PACKAGE_HAS_UDEV
 	# libpthread-stubs -> libdrm